@font-face {
    font-family: "tbf";
    src: url("/assets/fonts/THEBOLDFONT-FREEVERSION.otf");
}

/* Sidebar */
#sidebar {
    position: fixed;
    top: 0;
    left: 0;
    width: 300px;
    height: 100vh;
    background: #111;
    color: white;
    transform: translateX(-100%);
    transition: transform 0.3s ease;
    overflow-y: auto;
    z-index: 1000;
    padding-bottom: 40px;
}

#sidebar.open {
    transform: translateX(0);
}

/* Overlay */
#overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
    z-index: 900;
}

#overlay.show {
    opacity: 1;
    pointer-events: all;
}

/* MENU BUTTON (burger) */
#menuBtn {
    margin: 20px;
    padding: 0;
    background: none;
    border: none;
    cursor: pointer;
}

.menu-icon {
    width: 40px;
    height: auto;
    display: block;
}

/* CLOSE BUTTON (custom X) */
#closeBtn {
    background: none;
    border: none;
    cursor: pointer;
    padding: 8px;
    display: flex;
    justify-content: flex-end;
    width: 100%;
}

.close-icon {
    width: 26px;
    height: auto;
}

/* Logo */
.logo-area {
    background-image: url("/assets/bgs/logo-bg2.PNG");
    background-repeat: no-repeat;
    background-size: cover;
    text-align: center;
    padding: 14px 0;
    border-bottom: 1px solid #333;
}

.logo-area img {
    width: 130px;
    height: auto;
}

/* Normal links */
.menu-link {
    display: block;
    padding: 20px;
    color: #f8f7f7;
    text-decoration: none;
    border-bottom: 1px solid #222;
    background: #171717;
    font-family: "tbf";
    font-size: 25px;
}

.menu-link:hover {
    transform: scale(1.05);
    background: #1e1e1e;
}

/* Responsive */
@media (max-width: 600px) {
    #sidebar {
        width: 235px;
        height: auto;
        padding-bottom: 0px;
    }

    .menu-icon {
        width: 39px;
        height: auto;
    }

    #closeBtn {
        padding: 10px;
    }

    .logo-area img {
        width: 110px;
        height: auto;
    }

    .menu-link {
        font-size: 23px;
        padding: 24px;
    }
}

@media (min-width: 601px) and (max-width: 1100px) {
    #sidebar {
        width: 270px;
        height: auto;
        padding-bottom: 0px;
    }

    .menu-icon {
        width: 38px;
        height: auto;
    }

    .logo-area img {
        width: 120px;
        height: auto;
    }

    .menu-link {
        font-size: 24px;
        padding: 20px;
    }
}